From 1c2a1838fc781dc0be8d3a76606281b4bbd7a57a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ga=C3=ABl=20PORTAY?= <gael.portay@gmail.com>
Date: Sun, 3 May 2015 00:23:55 +0200
Subject: [PATCH 38/45] Turn name and instruction local variables into char *

---
 cli-authinteract.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/cli-authinteract.c b/cli-authinteract.c
index a7987eb..02aeab8 100644
--- a/cli-authinteract.c
+++ b/cli-authinteract.c
@@ -66,8 +66,8 @@ static char* get_response(char* prompt)
 
 void recv_msg_userauth_info_request() {
 
-	unsigned char *name = NULL;
-	unsigned char *instruction = NULL;
+	char *name = NULL;
+	char *instruction = NULL;
 	unsigned int num_prompts = 0;
 	unsigned int i;
 
@@ -84,8 +84,8 @@ void recv_msg_userauth_info_request() {
 	}
 	cli_ses.interact_request_received = 1;
 
-	name = buf_getstring(ses.payload, NULL);
-	instruction = buf_getstring(ses.payload, NULL);
+	name = (char *)buf_getstring(ses.payload, NULL);
+	instruction = (char *)buf_getstring(ses.payload, NULL);
 
 	/* language tag */
 	buf_eatstring(ses.payload);

